Package org.apache.sling.commons.crypto

# Interface CryptoService

All Known Implementing Classes:
  `JasyptStandardPbeStringCryptoService`

@ProviderType public interface CryptoService
Service for encrypting messages and decrypting ciphertexts.

## Method Summary

Modifier and Type
Method
Description
`@NotNull String`
`decrypt(@NotNull String ciphertext)`
Decrypts the given ciphertext.
`@NotNull String`
`encrypt(@NotNull String message)`
Encrypts the given message.

## Method Details

### encrypt

@NotNull @NotNull String encrypt(@NotNull @NotNull String message)
Encrypts the given message.

Parameters:
  `message` - The message to encrypt
Returns:
  The encrypted message, the ciphertext

### decrypt

@NotNull @NotNull String decrypt(@NotNull @NotNull String ciphertext)
Decrypts the given ciphertext.

Parameters:
  `ciphertext` - The encrypted message, the ciphertext to decrypt
Returns:
  The decrypted message